Package com.beust.jcommander.converters

# Class CharArrayConverter

java.lang.Object
com.beust.jcommander.converters.CharArrayConverter

All Implemented Interfaces:
  `IStringConverter<char[]>`

public class CharArrayConverter extends Object implements IStringConverter<char[]>
Converts a String to a char[].

## Constructor Summary

Constructors
Constructor
Description
`CharArrayConverter()`

## Method Summary

Modifier and Type
Method
Description
`char[]`
`convert(String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CharArrayConverter

public CharArrayConverter()

## Method Details

### convert

public char[] convert(String value)

Specified by:
  `convert` in interface `IStringConverter<char[]>`
Returns:
  an object of type <T> created from the parameter value.